# Deploying

Please follow the [installation instructions](./installing.md) to install the
server on your deployment machine.

## Starting

If you opted to _not_ install dsfx locally, then you can run it directly with the go toolchain.

```bash
go run git.numenor-labs.us/dsfx/cmd/dsfx@main
```

Otherwise, you can run the server with the `dsfx` command. For those who built
directly from source, refer to the binary location that you specified in the
build command.

## Configuration

The application accepts the following cli flags:

- **-h**: Show help message
- **-host**: The host on which the DSFX server will run (default: `0.0.0.0`)
- **-port**: The port on which the DSFX server will listen (default: `8000`)
- **-logLevel**: The log level to use. One of (error, warn, info, debug) (default: `info`)
- **-dataDir**: The directory where the DSFX data files are stored (default: `/etc/dsfx/data`)
- **-configDir**: The directory where the DSFX configuration files are stored (default: `/etc/dsfx/config`)

## Local Files

The DSFX server uses local files for configuration and storage. The default directories for these
files are specified in the **-configDir** and **-dataDir** cli flags. You can
change these directories by specifying the flags when you run the server.
